Package Details: python2-rsvg 2.32.0-17

Git Clone URL: https://aur.archlinux.org/python2-rsvg.git (read-only)
Package Base: python2-rsvg
Description: Python bindings for librsvg
Upstream URL: http://www.gnome.org
Licenses: GPL, LGPL
Conflicts: python-rsvg<=2.32.0-10
Replaces: python-rsvg<=2.32.0-10
Submitter: SanskritFritz
Maintainer: SanskritFritz
Last Packager: SanskritFritz
Votes: 6
Popularity: 1.284315
First Submitted: 2017-02-04 15:07
Last Updated: 2017-02-09 14:34

Pinned Comments

SanskritFritz commented on 2017-02-08 19:32

https://bbs.archlinux.org/viewtopic.php?id=222754

Latest Comments

guzzard commented on 2017-02-11 11:23

builds ok now! Thanks a lot!

kingcreole commented on 2017-02-09 23:01

thank you :) awesome, works for me :)

frankspace commented on 2017-02-09 15:07

I also had that problem, but release 17 now compiles fine for me. Thank you!

SanskritFritz commented on 2017-02-09 14:35

Fixed it I think, please test.

SanskritFritz commented on 2017-02-08 19:32

https://bbs.archlinux.org/viewtopic.php?id=222754

ingod commented on 2017-02-08 14:49

In file included from evo-ebook-environment.h:28:0,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book.h:23:2: Fehler: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from /usr/include/evolution-data-server/libebook/e-book.h:37:0,
from evo-ebook-environment.h:28,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book-view.h:23:2: Fehler: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from /usr/include/evolution-data-server/libebook/e-book-view.h:35:0,
from /usr/include/evolution-data-server/libebook/e-book.h:37,
from evo-ebook-environment.h:28,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book-types.h:25:2: Fehler: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from /usr/include/evolution-data-server/libebook/e-book.h:38:0,
from evo-ebook-environment.h:28,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book-types.h:25:2: Fehler: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from evo-ebook-environment.c:19:0:
evo-ebook-environment.h:29:30: schwerwiegender Fehler: libebook/e-vcard.h: Datei oder Verzeichnis nicht gefunden
#include <libebook/e-vcard.h>
^
Kompilierung beendet.
make[2]: *** [Makefile:454: ebook_la-evo-ebook-environment.lo] Fehler 1
make[2]: Verzeichnis „/tmp/yaourt-tmp-dreamman/aur-python2-rsvg/src/gnome-python-desktop-2.32.0/evolution“ wird verlassen
make[1]: *** [Makefile:511: all-recursive] Fehler 1
make[1]: Verzeichnis „/tmp/yaourt-tmp-dreamman/aur-python2-rsvg/src/gnome-python-desktop-2.32.0“ wird verlassen
make: *** [Makefile:380: all] Fehler 2
==> FEHLER: Ein Fehler geschah in build().
Breche ab...
==> FEHLER:Makepkg konnte python2-rsvg nicht erstellen.
==> Erstellen von python2-rsvg neu starten?[j/N]

ArnaudNux commented on 2017-02-07 21:40

In file included from evo-ebook-environment.h:28:0,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book.h:23:2: error: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from /usr/include/evolution-data-server/libebook/e-book.h:37:0,
from evo-ebook-environment.h:28,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book-view.h:23:2: error: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from /usr/include/evolution-data-server/libebook/e-book-view.h:35:0,
from /usr/include/evolution-data-server/libebook/e-book.h:37,
from evo-ebook-environment.h:28,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book-types.h:25:2: error: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from /usr/include/evolution-data-server/libebook/e-book.h:38:0,
from evo-ebook-environment.h:28,
from evo-ebook-environment.c:19:
/usr/include/evolution-data-server/libebook/e-book-types.h:25:2: error: #error "Only <libebook/libebook.h> should be included directly."
#error "Only <libebook/libebook.h> should be included directly."
^~~~~
In file included from evo-ebook-environment.c:19:0:
evo-ebook-environment.h:29:30: fatal error: libebook/e-vcard.h: No such file or directory
#include <libebook/e-vcard.h>
^
compilation terminated.
make[2]: *** [Makefile:454: ebook_la-evo-ebook-environment.lo] Error 1
make[2]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-python2-rsvg/src/gnome-python-desktop-2.32.0/evolution'
make[1]: *** [Makefile:511: all-recursive] Error 1
make[1]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-python2-rsvg/src/gnome-python-desktop-2.32.0'
make: *** [Makefile:380: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build python2-rsvg.
==> Restart building python2-rsvg ? [y/N]
==> -------------------------------------

kingcreole commented on 2017-02-07 14:58

For me it also happens, i have testing active and an x64 archlinux, i downgraded librsvg just now, somehow i had a higher version active, but that wasn't the issue, maybe something something primusrun? i have an intel driver and an nvidia driver

SanskritFritz commented on 2017-02-06 20:02

Sorry guys, it builds here, and I have no clue what the problem might be.

killajoe commented on 2017-02-06 18:47

same here as guzzard ...

All comments